I5Profile (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.i5OS.I5Profile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.i5OS
Interface I5Profile

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  I5GroupProfile, I5UserProfile

    public interface I5Profile

extends LogicalElement

A user profile controls what the user can do and customizes the way the system appears to the user. A user profile contains the information that i5/OS requires to allow users to sign on to a system, to access their own customized session, including their own message and output queue, and to access functions and objects to which they have been granted authority. A user profile can be included in group profiles. In this way, all group members share access to specific objects and share ownership of objects. Group profiles can simplify many user administration tasks by allowing you to apply a single change to many users. The same I5Profile class is used to represent both user and group profile.

Naming Rules:
  0="managedSystemName"
Persistable:
  true
Table Name:
  I5PROFILE

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`I5OperatingSystem` | `getI5operatingSystem()`
`java.lang.String` | `getInitialMenu()` The initial menu determines what the user sees after signing on the system.
`java.lang.String` | `getInitialProgram()` The initial m program determines what the user sees after signing on the system.
`int` | `getLimitCapabilities()` Indicates whether the user has limited capabilities.
`java.lang.String` | `getProfileName()` The name of the user profile.
`java.lang.String` | `getSpecialAuthority()` A list of special authorities that the user has.
`boolean` | `hasI5operatingSystem()`
`boolean` | `hasInitialMenu()`
`boolean` | `hasInitialProgram()`
`boolean` | `hasLimitCapabilities()`
`boolean` | `hasProfileName()`
`boolean` | `hasSpecialAuthority()`
`void` | `setI5operatingSystem(I5OperatingSystem x)`
`void` | `setInitialMenu(java.lang.String x)`
`void` | `setInitialProgram(java.lang.String x)`
`void` | `setLimitCapabilities(int x)`
`void` | `setProfileName(java.lang.String x)`
`void` | `setSpecialAuthority(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSpecialAuthority

    java.lang.String getSpecialAuthority()
                                         throws AttributeNotSetException

  A list of special authorities that the user has. Special authorities determine whether the user is allowed to perform system functions, such as creating user profiles or changing the jobs of other users. If the user has no special authorities, an empty array is returned. Possible values for the elements of this array are: ALLOBJ - All object. AUDIT - Audit. IOSYSCFG - Input/output system configuration. JOBCTL - Job control. SAVSYS - Save system. SECADM - Security administrator. SERVICE - Service. SPLCTL - Spool control. Values in attribute content are sorted alphabetically and separated by comma and space

  Throws:
    `AttributeNotSetException`

### setSpecialAuthority

    void setSpecialAuthority(java.lang.String x)

### hasSpecialAuthority

    boolean hasSpecialAuthority()

### getI5operatingSystem

    I5OperatingSystem getI5operatingSystem()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setI5operatingSystem

    void setI5operatingSystem(I5OperatingSystem x)

### hasI5operatingSystem

    boolean hasI5operatingSystem()

### getInitialProgram

    java.lang.String getInitialProgram()
                                       throws AttributeNotSetException

  The initial m program determines what the user sees after signing on the system. Attribute contains fully qualified integrated file system path name of the initial program for the user. Possible values are: - NONE - If the user does not have an initial program. - The initial menu name

  Throws:
    `AttributeNotSetException`

### setInitialProgram

    void setInitialProgram(java.lang.String x)

### hasInitialProgram

    boolean hasInitialProgram()

### getLimitCapabilities

    int getLimitCapabilities()
                             throws AttributeNotSetException

  Indicates whether the user has limited capabilities. The limit capabilities field in the user profile determines whether the user can enter commands and change the initial menu or initial program when signing on. Possible values are: PARTIAL - The user cannot change the initial program or current library. YES - The user cannot change the initial menu, initial program, or current library. The user cannot run commands from the command line. NO - The user is not limited.

  Throws:
    `AttributeNotSetException`

### setLimitCapabilities

    void setLimitCapabilities(int x)

### hasLimitCapabilities

    boolean hasLimitCapabilities()

### getProfileName

    java.lang.String getProfileName()
                                    throws AttributeNotSetException

  The name of the user profile. The user profile is an object with a unique name that contains the user password, the list of special authorities assigned to a user, and the objects the user owns.

  Throws:
    `AttributeNotSetException`

### setProfileName

    void setProfileName(java.lang.String x)

### hasProfileName

    boolean hasProfileName()

### getInitialMenu

    java.lang.String getInitialMenu()
                                    throws AttributeNotSetException

  The initial menu determines what the user sees after signing on the system. A user can be limited to a specific set of tasks by restricting the user to an initial menu. Attribute contains fully qualified integrated file system path name of the initial menu for the user. Possible values are: - SIGNOFF - The initial menu name

  Throws:
    `AttributeNotSetException`

### setInitialMenu

    void setInitialMenu(java.lang.String x)

### hasInitialMenu

    boolean hasInitialMenu()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD